<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="app.fedilab.fedilabtube">

    <uses-permission android:name="com.android.vending.BILLING" />
    <application
        android:name=".FedilabTube"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:replace="android:allowBackup">

        <activity
            android:name=".PeertubeActivity"
            tools:node="merge">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <!-- The app is a good candidate for URL in https://domain.name/videos/watch/xxxxx-->
                <data
                    android:host="*"
                    android:pathPrefix="/videos/watch/"
                    android:scheme="https" />
            </intent-filter>
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".PeertubeActivity" />
        </activity>

        <activity
            android:name=".expandedcontrols.ExpandedControlsActivity"
            android:theme="@style/AppThemeNoActionBar"

            />

        <meta-data
            android:name="com.google.android.gms.cast.framework.OPTIONS_PROVIDER_CLASS_NAME"
            android:value="app.fedilab.fedilabtube.provider.CastOptionsProvider" />

        <activity
            android:name=".DonationActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/support_the_app"
            android:windowSoftInputMode="stateAlwaysHidden" />
    </application>
</manifest>